Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class MapMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.AbstractMapMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.MapMapping

All Implemented Interfaces:
  Key, LoadSecondary, SecondaryTable, StoreSecondary

public class MapMapping
extends AbstractMapMapping

The MapMapping holds an additional column: the key column. The value of the is accessed by setDataColumn and getDataColumn in the parent FieldMapping.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.AbstractMapMapping
`KEY_COL, KEY_COL_INDEX, KEY_COL_LENGTH, REF_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`MapMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)`
`protected void` | `insert(Insert insert, Object key, Object value, StateManagerImpl sm, Object[] pks, int field)`
`protected void` | `install(FieldMetaData fmd, JDBCConfiguration conf, ClassResolver resolver, DBDictionary dict)`
`void` | `join(ObjectSelect sel)` Join this mapping to the given select statement.
`void` | `joinKey(ObjectSelect sel)` Join the key of this mapping to the given select statement.
`void` | `load(StateManagerImpl sm, Object[] pks, int field, SQLExecutionManager sqlem)` Load the value of this mapping for the given instance.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.AbstractMapMapping
`compareToNull, delete, getKeyColumn, getPKColumns, getRefColumns, getSecondaryTable, insert, setKeyColumn, setPKColumns, setRefColumns, update`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`getDataColumns, getInstance, getInstance, getMetaData, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`createMappings, createMappings, getConfiguration, getDictionary, getInstance, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapMapping

    public MapMapping()

Method Detail

### join

    public void join(ObjectSelect sel)

  Description copied from class: `FieldMapping`
  Join this mapping to the given select statement. For basic mappings, this no-op method implementation will suffice. Secondary table mappings should override this method to do the proper join.
  Overrides:
    `join` in class `FieldMapping`

### joinKey

    public void joinKey(ObjectSelect sel)

  Description copied from interface: `Key`
  Join the key of this mapping to the given select statement.

### load

    public void load(StateManagerImpl sm,
                     Object[] pks,
                     int field,
                     SQLExecutionManager sqlem)
              throws SQLException

  Description copied from interface: `LoadSecondary`
  Load the value of this mapping for the given instance. Relations to other persistent types are loaded as PersistenceCapable instances.
  Following copied from interface: `com.solarmetric.kodo.impl.jdbc.ormapping.LoadSecondary`
  Parameters:
    `stmnt` - The caller is responsible for closing the statement.

### insert

    protected void insert(Insert insert,
                          Object key,
                          Object value,
                          StateManagerImpl sm,
                          Object[] pks,
                          int field)

  Overrides:
    `insert` in class `AbstractMapMapping`

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

  Overrides:
    `canMap` in class `AbstractMapMapping`

### install

    protected void install(FieldMetaData fmd,
                           JDBCConfiguration conf,
                           ClassResolver resolver,
                           DBDictionary dict)

  Overrides:
    `install` in class `AbstractMapMapping`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.